Skip to main content
Available in🇮🇳 India🇸🇬 Singapore
Make full or partial refunds to customers. You can initiate refunds only on those payments that are in captured state. A payment in authorized state is auto-refunded if not captured within 3 days of creation. You can create and manage refunds using APIs or from the Dashboard.

Fork the Razorpay Postman Public Workspace and try the Refunds APIs using your Test API Keys. Run in Postman

Create a Normal Refund

POST /v1/payments/:id/refundCreates a normal refund for a payment.

Create a Normal Refund (Idempotent Request)

POST /v1/payments/:id/refundRetry or send the same normal refund request multiple times safely by creating a normal refund idempotency request.

Create an Instant Refund

POST /v1/payments/:id/refundCreates an instant refund for a payment.

Create an Instant Refund (Idempotent Request)

POST /v1/payments/:id/refundRetry or send the same instant refund request multiple times safely by creating an instant refund idempotency request.

Fetch Multiple Refunds for a Payment

GET /v1/payments/:id/refundsRetrieves multiple refunds for a payment.

Fetch a Specific Refund for a Payment

GET /v1/payments/:payment_id/refunds/:refund_idRetrieves details of a specific refund made for a payment.

Fetch All Refunds

GET /v1/refunds/Retrieves details of all refunds.

Fetch Refund With ID

GET /v1/refunds/:idRetrieves the refund using the id.

Update a Refund

PATCH /v1/refunds/:id/Updates the notes parameter for a refund.